package com.steering.pss.plnsaleord.stove.entity;
/**
 * 数据库表PLN_ORDER_DZ_S所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2017-10-30
 */
@SuppressWarnings("serial")
public class PlnOrderDzSEntityL implements java.io.Serializable {
    /**
     * 锻造订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线编码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 铸造类型（1连铸2模铸）
     */
    private String castingtype = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 锻坯直径
     */
    private String diameterOut = "";
    /**
     * 锻坯长度
     */
    private String lengthOut = "";
    /**
     * 锻坯产出物料编码
     */
    private String outwlId = "";
    /**
     * 锻坯产出物料描述
     */
    private String outwlDesc = "";
    /**
     * 锻坯单重
     */
    private String outWtOne = "";
    /**
     * 计划产出总重量
     */
    private String outWtTot = "";
    /**
     * 计划产出支数
     */
    private String outNumTot = "";
    /**
     * 原料直径
     */
    private String diameterIn = "";
    /**
     * 原料长度（模铸无）
     */
    private String lengthIn = "";
    /**
     * 原料单重
     */
    private String wtOneIn = "";
    /**
     * 投入物料编码
     */
    private String wlidIn = "";
    /**
     * 投入物料描述
     */
    private String wldescIn = "";
    /**
     * 待投入重量
     */
    private String inWeightS = "";
    /**
     * 待投入支数
     */
    private String inNumS = "";
    /**
     * 排产重量
     */
    private String weigthS = "";
    /**
     * 排产支数
     */
    private String numS = "";
    /**
     * 加投重量
     */
    private String addWtIn = "";
    /**
     * 加投支数
     */
    private String addNumIn = "";
    /**
     * 投入利库重量
     */
    private String matchWtIn = "";
    /**
     * 投入利库支数
     */
    private String matchNumIn = "";
    /**
     * 锻造加工余量（直径mm）
     */
    private String dzLoseAdd = "";
    /**
     * 锻造切头尾量（mm）
     */
    private String dzCutHeadEnd = "";
    /**
     * 锻造每火次烧损（%）
     */
    private String dzBurnLose = "";
    /**
     * 成分标准索引号集合(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号集合(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号集合(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号集合(内控)
     */
    private String dic = "";
    /**
     * 水压索引码集合(内控)
     */
    private String wic = "";
    /**
     * 加工标准索引号集合(内控)
     */
    private String gic = "";
    /**
     * 产线内生产顺序号
     */
    private String gxProSeq = "";
    /**
     * 生产年月
     */
    private String proMonth = "";
    /**
     * 计划耗时(分)
     */
    private String planUsetime = "";
    /**
     * 计划开始时间
     */
    private String planTimeB = "";
    /**
     * 计划结束时间
     */
    private String planTimeE = "";
    /**
     * 炉计划已排重量
     */
    private String batchedWt = "";
    /**
     * 炉计划已排支数
     */
    private String batchedNum = "";
    /**
     * 生产完成重量
     */
    private String finishweight = "";
    /**
     * 生产完成支数
     */
    private String finishnum = "";
    /**
     * 执行状态（0计划，1生产中，2完成，3关闭A）
     */
    private String exeStatus = "";
    /**
     * 是否检修计划
     */
    private String isRepairPln = "";
    /**
     * 检修类型
     */
    private String repairType = "";
    /**
     * 是否确认下发
     */
    private String isPlanOk = "";
    /**
     * 锻造作业批次号
     */
    private String zyBatchId = "";
    /**
     * 下发时间
     */
    private String issuedTime = "";
    /**
     * 下发人
     */
    private String issuedMan = "";
    /**
     * 最近取消下发时间
     */
    private String lastUndownTime = "";
    /**
     * 最近取消下发人
     */
    private String lastUndownMan = "";
    /**
     * 加工成本
     */
    private String processingCost = "";
    /**
     * 完全成本
     */
    private String totalCost = "";
    /**
     * 管坯需求编号
     */
    private String gpreqId = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 是否工艺变更锁定
     */
    private String ifCraftLocked = "";
    /**
     * 创建人
     */
    private String createName = "";

    /**
     * 锻造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 锻造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线编码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线编码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @return value
     */
    public String getCastingtype() {
        return castingtype;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @param castingtype value
     */
    public void setCastingtype(String castingtype) {
        this.castingtype = castingtype;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 锻坯直径
     * @return value
     */
    public String getDiameterOut() {
        return diameterOut;
    }

    /**
     * 锻坯直径
     * @param diameterOut value
     */
    public void setDiameterOut(String diameterOut) {
        this.diameterOut = diameterOut;
    }

    /**
     * 锻坯长度
     * @return value
     */
    public String getLengthOut() {
        return lengthOut;
    }

    /**
     * 锻坯长度
     * @param lengthOut value
     */
    public void setLengthOut(String lengthOut) {
        this.lengthOut = lengthOut;
    }

    /**
     * 锻坯产出物料编码
     * @return value
     */
    public String getOutwlId() {
        return outwlId;
    }

    /**
     * 锻坯产出物料编码
     * @param outwlId value
     */
    public void setOutwlId(String outwlId) {
        this.outwlId = outwlId;
    }

    /**
     * 锻坯产出物料描述
     * @return value
     */
    public String getOutwlDesc() {
        return outwlDesc;
    }

    /**
     * 锻坯产出物料描述
     * @param outwlDesc value
     */
    public void setOutwlDesc(String outwlDesc) {
        this.outwlDesc = outwlDesc;
    }

    /**
     * 锻坯单重
     * @return value
     */
    public String getOutWtOne() {
        return outWtOne;
    }

    /**
     * 锻坯单重
     * @param outWtOne value
     */
    public void setOutWtOne(String outWtOne) {
        this.outWtOne = outWtOne;
    }

    /**
     * 计划产出总重量
     * @return value
     */
    public String getOutWtTot() {
        return outWtTot;
    }

    /**
     * 计划产出总重量
     * @param outWtTot value
     */
    public void setOutWtTot(String outWtTot) {
        this.outWtTot = outWtTot;
    }

    /**
     * 计划产出支数
     * @return value
     */
    public String getOutNumTot() {
        return outNumTot;
    }

    /**
     * 计划产出支数
     * @param outNumTot value
     */
    public void setOutNumTot(String outNumTot) {
        this.outNumTot = outNumTot;
    }

    /**
     * 原料直径
     * @return value
     */
    public String getDiameterIn() {
        return diameterIn;
    }

    /**
     * 原料直径
     * @param diameterIn value
     */
    public void setDiameterIn(String diameterIn) {
        this.diameterIn = diameterIn;
    }

    /**
     * 原料长度（模铸无）
     * @return value
     */
    public String getLengthIn() {
        return lengthIn;
    }

    /**
     * 原料长度（模铸无）
     * @param lengthIn value
     */
    public void setLengthIn(String lengthIn) {
        this.lengthIn = lengthIn;
    }

    /**
     * 原料单重
     * @return value
     */
    public String getWtOneIn() {
        return wtOneIn;
    }

    /**
     * 原料单重
     * @param wtOneIn value
     */
    public void setWtOneIn(String wtOneIn) {
        this.wtOneIn = wtOneIn;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getWlidIn() {
        return wlidIn;
    }

    /**
     * 投入物料编码
     * @param wlidIn value
     */
    public void setWlidIn(String wlidIn) {
        this.wlidIn = wlidIn;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getWldescIn() {
        return wldescIn;
    }

    /**
     * 投入物料描述
     * @param wldescIn value
     */
    public void setWldescIn(String wldescIn) {
        this.wldescIn = wldescIn;
    }

    /**
     * 待投入重量
     * @return value
     */
    public String getInWeightS() {
        return inWeightS;
    }

    /**
     * 待投入重量
     * @param inWeightS value
     */
    public void setInWeightS(String inWeightS) {
        this.inWeightS = inWeightS;
    }

    /**
     * 待投入支数
     * @return value
     */
    public String getInNumS() {
        return inNumS;
    }

    /**
     * 待投入支数
     * @param inNumS value
     */
    public void setInNumS(String inNumS) {
        this.inNumS = inNumS;
    }

    /**
     * 排产重量
     * @return value
     */
    public String getWeigthS() {
        return weigthS;
    }

    /**
     * 排产重量
     * @param weigthS value
     */
    public void setWeigthS(String weigthS) {
        this.weigthS = weigthS;
    }

    /**
     * 排产支数
     * @return value
     */
    public String getNumS() {
        return numS;
    }

    /**
     * 排产支数
     * @param numS value
     */
    public void setNumS(String numS) {
        this.numS = numS;
    }

    /**
     * 加投重量
     * @return value
     */
    public String getAddWtIn() {
        return addWtIn;
    }

    /**
     * 加投重量
     * @param addWtIn value
     */
    public void setAddWtIn(String addWtIn) {
        this.addWtIn = addWtIn;
    }

    /**
     * 加投支数
     * @return value
     */
    public String getAddNumIn() {
        return addNumIn;
    }

    /**
     * 加投支数
     * @param addNumIn value
     */
    public void setAddNumIn(String addNumIn) {
        this.addNumIn = addNumIn;
    }

    /**
     * 投入利库重量
     * @return value
     */
    public String getMatchWtIn() {
        return matchWtIn;
    }

    /**
     * 投入利库重量
     * @param matchWtIn value
     */
    public void setMatchWtIn(String matchWtIn) {
        this.matchWtIn = matchWtIn;
    }

    /**
     * 投入利库支数
     * @return value
     */
    public String getMatchNumIn() {
        return matchNumIn;
    }

    /**
     * 投入利库支数
     * @param matchNumIn value
     */
    public void setMatchNumIn(String matchNumIn) {
        this.matchNumIn = matchNumIn;
    }

    /**
     * 锻造加工余量（直径mm）
     * @return value
     */
    public String getDzLoseAdd() {
        return dzLoseAdd;
    }

    /**
     * 锻造加工余量（直径mm）
     * @param dzLoseAdd value
     */
    public void setDzLoseAdd(String dzLoseAdd) {
        this.dzLoseAdd = dzLoseAdd;
    }

    /**
     * 锻造切头尾量（mm）
     * @return value
     */
    public String getDzCutHeadEnd() {
        return dzCutHeadEnd;
    }

    /**
     * 锻造切头尾量（mm）
     * @param dzCutHeadEnd value
     */
    public void setDzCutHeadEnd(String dzCutHeadEnd) {
        this.dzCutHeadEnd = dzCutHeadEnd;
    }

    /**
     * 锻造每火次烧损（%）
     * @return value
     */
    public String getDzBurnLose() {
        return dzBurnLose;
    }

    /**
     * 锻造每火次烧损（%）
     * @param dzBurnLose value
     */
    public void setDzBurnLose(String dzBurnLose) {
        this.dzBurnLose = dzBurnLose;
    }

    /**
     * 成分标准索引号集合(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号集合(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号集合(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号集合(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 水压索引码集合(内控)
     * @return value
     */
    public String getWic() {
        return wic;
    }

    /**
     * 水压索引码集合(内控)
     * @param wic value
     */
    public void setWic(String wic) {
        this.wic = wic;
    }

    /**
     * 加工标准索引号集合(内控)
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * 加工标准索引号集合(内控)
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * 产线内生产顺序号
     * @return value
     */
    public String getGxProSeq() {
        return gxProSeq;
    }

    /**
     * 产线内生产顺序号
     * @param gxProSeq value
     */
    public void setGxProSeq(String gxProSeq) {
        this.gxProSeq = gxProSeq;
    }

    /**
     * 生产年月
     * @return value
     */
    public String getProMonth() {
        return proMonth;
    }

    /**
     * 生产年月
     * @param proMonth value
     */
    public void setProMonth(String proMonth) {
        this.proMonth = proMonth;
    }

    /**
     * 计划耗时(分)
     * @return value
     */
    public String getPlanUsetime() {
        return planUsetime;
    }

    /**
     * 计划耗时(分)
     * @param planUsetime value
     */
    public void setPlanUsetime(String planUsetime) {
        this.planUsetime = planUsetime;
    }

    /**
     * 计划开始时间
     * @return value
     */
    public String getPlanTimeB() {
        return planTimeB;
    }

    /**
     * 计划开始时间
     * @param planTimeB value
     */
    public void setPlanTimeB(String planTimeB) {
        this.planTimeB = planTimeB;
    }

    /**
     * 计划结束时间
     * @return value
     */
    public String getPlanTimeE() {
        return planTimeE;
    }

    /**
     * 计划结束时间
     * @param planTimeE value
     */
    public void setPlanTimeE(String planTimeE) {
        this.planTimeE = planTimeE;
    }

    /**
     * 炉计划已排重量
     * @return value
     */
    public String getBatchedWt() {
        return batchedWt;
    }

    /**
     * 炉计划已排重量
     * @param batchedWt value
     */
    public void setBatchedWt(String batchedWt) {
        this.batchedWt = batchedWt;
    }

    /**
     * 炉计划已排支数
     * @return value
     */
    public String getBatchedNum() {
        return batchedNum;
    }

    /**
     * 炉计划已排支数
     * @param batchedNum value
     */
    public void setBatchedNum(String batchedNum) {
        this.batchedNum = batchedNum;
    }

    /**
     * 生产完成重量
     * @return value
     */
    public String getFinishweight() {
        return finishweight;
    }

    /**
     * 生产完成重量
     * @param finishweight value
     */
    public void setFinishweight(String finishweight) {
        this.finishweight = finishweight;
    }

    /**
     * 生产完成支数
     * @return value
     */
    public String getFinishnum() {
        return finishnum;
    }

    /**
     * 生产完成支数
     * @param finishnum value
     */
    public void setFinishnum(String finishnum) {
        this.finishnum = finishnum;
    }

    /**
     * 执行状态（0计划，1生产中，2完成，3关闭A）
     * @return value
     */
    public String getExeStatus() {
        return exeStatus;
    }

    /**
     * 执行状态（0计划，1生产中，2完成，3关闭A）
     * @param exeStatus value
     */
    public void setExeStatus(String exeStatus) {
        this.exeStatus = exeStatus;
    }

    /**
     * 是否检修计划
     * @return value
     */
    public String getIsRepairPln() {
        return isRepairPln;
    }

    /**
     * 是否检修计划
     * @param isRepairPln value
     */
    public void setIsRepairPln(String isRepairPln) {
        this.isRepairPln = isRepairPln;
    }

    /**
     * 检修类型
     * @return value
     */
    public String getRepairType() {
        return repairType;
    }

    /**
     * 检修类型
     * @param repairType value
     */
    public void setRepairType(String repairType) {
        this.repairType = repairType;
    }

    /**
     * 是否确认下发
     * @return value
     */
    public String getIsPlanOk() {
        return isPlanOk;
    }

    /**
     * 是否确认下发
     * @param isPlanOk value
     */
    public void setIsPlanOk(String isPlanOk) {
        this.isPlanOk = isPlanOk;
    }

    /**
     * 锻造作业批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 锻造作业批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 下发时间
     * @return value
     */
    public String getIssuedTime() {
        return issuedTime;
    }

    /**
     * 下发时间
     * @param issuedTime value
     */
    public void setIssuedTime(String issuedTime) {
        this.issuedTime = issuedTime;
    }

    /**
     * 下发人
     * @return value
     */
    public String getIssuedMan() {
        return issuedMan;
    }

    /**
     * 下发人
     * @param issuedMan value
     */
    public void setIssuedMan(String issuedMan) {
        this.issuedMan = issuedMan;
    }

    /**
     * 最近取消下发时间
     * @return value
     */
    public String getLastUndownTime() {
        return lastUndownTime;
    }

    /**
     * 最近取消下发时间
     * @param lastUndownTime value
     */
    public void setLastUndownTime(String lastUndownTime) {
        this.lastUndownTime = lastUndownTime;
    }

    /**
     * 最近取消下发人
     * @return value
     */
    public String getLastUndownMan() {
        return lastUndownMan;
    }

    /**
     * 最近取消下发人
     * @param lastUndownMan value
     */
    public void setLastUndownMan(String lastUndownMan) {
        this.lastUndownMan = lastUndownMan;
    }

    /**
     * 加工成本
     * @return value
     */
    public String getProcessingCost() {
        return processingCost;
    }

    /**
     * 加工成本
     * @param processingCost value
     */
    public void setProcessingCost(String processingCost) {
        this.processingCost = processingCost;
    }

    /**
     * 完全成本
     * @return value
     */
    public String getTotalCost() {
        return totalCost;
    }

    /**
     * 完全成本
     * @param totalCost value
     */
    public void setTotalCost(String totalCost) {
        this.totalCost = totalCost;
    }

    /**
     * 管坯需求编号
     * @return value
     */
    public String getGpreqId() {
        return gpreqId;
    }

    /**
     * 管坯需求编号
     * @param gpreqId value
     */
    public void setGpreqId(String gpreqId) {
        this.gpreqId = gpreqId;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 是否工艺变更锁定
     * @return value
     */
    public String getIfCraftLocked() {
        return ifCraftLocked;
    }

    /**
     * 是否工艺变更锁定
     * @param ifCraftLocked value
     */
    public void setIfCraftLocked(String ifCraftLocked) {
        this.ifCraftLocked = ifCraftLocked;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }
    /**
     * 是否末工序
     */
    private String isendgx="";
    /**
     * 是否末工序
     */
    public String getIsendgx() {
        return isendgx;
    }
    /**
     * 是否末工序
     */
    public void setIsendgx(String isendgx) {
        this.isendgx = isendgx;
    }
}